## tty-share 2.2.0+ds

=== server/Makefile ===
TTY_SERVER_ASSETS=$(wildcard frontend/public/*) frontend/public/index.html

.PHONY: all frontend clean cleanfront rebuild

all: assets_bundle.go
	@echo "Done"

rebuild: clean all

assets_bundle.go: $(TTY_SERVER_ASSETS)
	go get github.com/go-bindata/go-bindata/...
	go-bindata --prefix frontend/public/ -pkg server -o $@ frontend/public/*

frontend: cleanfront frontend/public/index.html assets_bundle.go

frontend/public/index.html:
	cd frontend && npm install && npm run build && cd -

cleanfront:
	rm -fr frontend/public

clean: cleanfront
	rm -fr assets_bundle.go
	@echo "Cleaned"

## tty-share 0.6.2+ds1

=== debian/changelog ===
tty-share (0.6.2+ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 25 Oct 2020 15:53:47 +0000

tty-share (0.6.2+ds1-1) experimental; urgency=medium

  * Initial release. (Closes: #969942)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 09 Sep 2020 06:34:19 +0000

=== debian/control ===
Source: tty-share
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-elisescu-pty-dev,
               golang-golang-x-crypto-dev,
               golang-logrus-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://tty-share.com
Vcs-Browser: https://salsa.debian.org/go-team/packages/tty-share
Vcs-Git: https://salsa.debian.org/go-team/packages/tty-share.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/elisescu/tty-share

Package: tty-share
Architecture: any
Depends: ca-certificates,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Terminal sharing over the Internet
 tty-share is a very simple command line tool that gives remote access to a UNIX
 terminal session.
 .
 tty-share is used on the machine that wants to share the terminal, and it
 connects to the server to generate a secret URL, over which the terminal can
 be viewed in the browser.
 .
 tty-share connects over a TLS connection to the server (runs at tty-share.com),
 which uses a proxy for the SSL termination, and the browser terminal is served
 over HTTPS. The communication on both sides is encrypted and secured.
 However, end-to-end encryption is still desired, so nothing but the sender and
 receiver can decrypt the data passed around.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1 \
https://github.com/elisescu/tty-share/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## tty-share 2.0.0+ds

=== debian/changelog ===
tty-share (2.0.0+ds-1) unstable; urgency=medium

  * New upstream version 2.0.0+ds.
  * Updated repacksuffix option in watch file.
  * debian/control: added golang-github-gorilla-mux-dev,
    golang-github-gorilla-websocket-dev,
    golang-github-hashicorp-yamux-dev and
    golang-github-moby-term-dev to Build-Depends field.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 05 Nov 2020 11:51:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,10 @@
                dh-golang,
                golang-any,
                golang-github-elisescu-pty-dev,
+               golang-github-gorilla-mux-dev,
+               golang-github-gorilla-websocket-dev,
+               golang-github-hashicorp-yamux-dev,
+               golang-github-moby-term-dev,
                golang-golang-x-crypto-dev,
                golang-logrus-dev
 Standards-Version: 4.5.0

## tty-share 2.1.0+ds

=== debian/changelog ===
tty-share (2.1.0+ds-1) unstable; urgency=medium

  * New upstream version 2.1.0+ds.
  * debian/copyright: added new upstream rights.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 16 Nov 2020 20:10:57 +0000

## tty-share 2.2.0+ds

=== debian/changelog ===
tty-share (2.2.0+ds-1) unstable; urgency=medium

  * New upstream version 2.2.0+ds.
  * Bump Standards-Version to 4.5.1.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 22 Dec 2020 22:27:29 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-moby-term-dev,
                golang-golang-x-crypto-dev,
                golang-logrus-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://tty-share.com
 Vcs-Browser: https://salsa.debian.org/go-team/packages/tty-share

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d*$//,repacksuffix=+ds \
https://github.com/elisescu/tty-share/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## tty-share 2.2.1+ds

=== debian/changelog ===
tty-share (2.2.1+ds-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 10:06:31 +0000

tty-share (2.2.1+ds-1) unstable; urgency=medium

  * New upstream version 2.2.1+ds.
  * Bump Standards-Version to 4.6.0.
  * Add bash-completion to Build-Depends field.
  * Add the addon bash-completion to dh.
  * Create debian/bash-completion file.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 10 Feb 2022 00:30:07 +0000

tty-share (2.2.0+ds-2) unstable; urgency=medium

  * Update debian/watch.
  * debian/gbp.conf: replace debian/master with debian/latest.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 30 Aug 2021 22:15:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: tty-share
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-elisescu-pty-dev,
@@ -13,7 +15,7 @@
                golang-github-moby-term-dev,
                golang-golang-x-crypto-dev,
                golang-logrus-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://tty-share.com
 Vcs-Browser: https://salsa.debian.org/go-team/packages/tty-share

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d*$//,repacksuffix=+ds \
https://github.com/elisescu/tty-share/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## tty-share 2.3.0+ds

=== debian/changelog ===
tty-share (2.3.0+ds-1) unstable; urgency=medium

  * Update debian/watch.
  * Update my email address.
  * New upstream version 2.3.0+ds.
  * Bump Standards-Version to 4.6.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 21 Nov 2022 18:13:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: tty-share
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                dh-golang,
@@ -15,7 +14,7 @@
                golang-github-moby-term-dev,
                golang-golang-x-crypto-dev,
                golang-logrus-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://tty-share.com
 Vcs-Browser: https://salsa.debian.org/go-team/packages/tty-share

## tty-share 2.4.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: tty-share
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-elisescu-pty-dev,
+               golang-github-creack-pty-dev,
                golang-github-gorilla-mux-dev,
                golang-github-gorilla-websocket-dev,
                golang-github-hashicorp-yamux-dev,
                golang-github-moby-term-dev,
                golang-golang-x-crypto-dev,
                golang-logrus-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://tty-share.com
 Vcs-Browser: https://salsa.debian.org/go-team/packages/tty-share

## tty-share 2.4.0+ds

=== server/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 rebuild: clean all
 
 assets_bundle.go: $(TTY_SERVER_ASSETS)
-	go get github.com/go-bindata/go-bindata/...
+	go install github.com/go-bindata/go-bindata/...
 	go-bindata --prefix frontend/public/ -pkg server -o $@ frontend/public/*
 
 frontend: cleanfront frontend/public/index.html assets_bundle.go

=== debian/changelog ===
tty-share (2.4.0+ds-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 08:46:32 +1000

tty-share (2.4.0+ds-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 12:17:22 +0530

tty-share (2.4.0+ds-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:18:41 +1200

tty-share (2.4.0+ds-2) unstable; urgency=medium

  * Replace golang-github-elisescu-pty-dev by golang-github-creack-pty-dev.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 29 Jun 2023 16:41:37 +0000

tty-share (2.4.0+ds-1) unstable; urgency=medium

  * New upstream version 2.4.0+ds.
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 03 Jan 2023 13:17:58 +0000

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds\d*$//,repacksuffix=+ds \
https://github.com/elisescu/tty-share/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
